## org.apache.lucene.search
Class ScoreDoc

    java.lang.Object
      org.apache.lucene.search.ScoreDoc

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FieldDoc

    public class ScoreDoc

extends java.lang.Object
implements java.io.Serializable

Expert: Returned by low-level search implementations.

See Also:
  `TopDocs`, Serialized Form

Field Summary
`int` `doc` Expert: A hit document's number.
`float` `score` Expert: The score of this document for the query.

Constructor Summary
`ScoreDoc(int doc, float score)` Expert: Constructs a ScoreDoc.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### score

    public float score

  Expert: The score of this document for the query.

### doc

    public int doc

  Expert: A hit document's number.

  See Also:
    `Searcher.doc(int)`

Constructor Detail

### ScoreDoc

    public ScoreDoc(int doc,
                    float score)

  Expert: Constructs a ScoreDoc.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.